import { Observable } from "rxjs";
import { Enhancer } from "@prose-reader/core";
declare type Highlight = {
    anchorCfi: string;
    focusCfi: string;
    id: number;
    text?: string;
    spineItemIndex?: number | undefined;
    anchorNode?: Node;
    anchorOffset?: number;
    focusNode?: Node;
    focusOffset?: number;
    element?: HTMLElement;
};
declare type UserHighlight = Pick<Highlight, `anchorCfi` | `focusCfi`>;
declare type SubjectType = {
    type: `onHighlightClick`;
    data: Highlight;
} | {
    type: `onUpdate`;
    data: Highlight[];
};
export declare const createHighlightsEnhancer: ({ highlights: initialHighlights }: {
    highlights: UserHighlight[];
}) => Enhancer<{}, {
    highlights: {
        add: (highlight: UserHighlight) => void;
        remove: (id: number) => void;
        isHighlightClicked: (event: MouseEvent | TouchEvent | PointerEvent) => boolean;
        $: Observable<SubjectType>;
    };
}, {}, {}, import("@prose-reader/core/dist/createReaderWithEnhancer").CoreEnhancerDependsOn>;
export {};
